Loading...
Searching...
No Matches
gr::custom_lock Class Reference

`#include <gnuradio/custom_lock.h>`

## Public Member Functions

| custom_lock (gr::thread::mutex &mutex, std::shared_ptr< custom_lock_if > locker)
| ~custom_lock ()
| custom_lock (custom_lock const &)=delete
custom_lock & | operator= (custom_lock const &)=delete

## Detailed Description

Class that defines a lock using a mutex and a "locker" that implements the custom_lock_if interface. The interface defines an on_lock() function that is executed when the lock is locked and an on_unlock() function that the is called when the lock is unlocked. Calls to these two functions are delegated to the locker object.

## Constructor & Destructor Documentation

## custom_lock() [1/2]

gr::custom_lock::custom_lock | ( | gr::thread::mutex & | mutex,
|  | std::shared_ptr< custom_lock_if > | locker )

inline explicit

Referenced by custom_lock(), and operator=().

## ~custom_lock()

gr::custom_lock::~custom_lock | ( |  | ) |

inline

## custom_lock() [2/2]

gr::custom_lock::custom_lock | ( | custom_lock const & |  | ) |

delete

References custom_lock().

## Member Function Documentation

## operator=()

custom_lock & gr::custom_lock::operator= | ( | custom_lock const & |  | ) |

delete

References custom_lock().

The documentation for this class was generated from the following file:

- custom_lock.h